ZoneMinder::ConfigData(3)

NAME
ZoneMinder::ConfigData - ZoneMinder Configuration Data module

SYNOPSIS
use ZoneMinder::ConfigData; use ZoneMinder::ConfigData qw(:all);

loadConfigFromDB(); saveConfigToDB();

DESCRIPTION
The ZoneMinder:ConfigData module contains the master definition of the ZoneMinder configuration options as well as helper methods. This module is intended for specialist configuration management and would not normally be used by end users.

The configuration held in this module, which was previously in zmconfig.pl, includes the name, default value, description, help text, type and category for each option, as well as a number of additional fields in a small number of cases.

METHODS

loadConfigFromDB ();
    Loads existing configuration from the database (if any) and merges it with the definitions held in this module. This results in the merging of any new configuration and the removal of any deprecated configuration while preserving the existing values of every else.

saveConfigToDB ();
    Saves configuration held in memory to the database. The act of loading and saving configuration is a convenient way to ensure that the configuration held in the database corresponds with the most recent definitions and that all components are using the same set of configuration.

  EXPORT
None by default. The :data tag will export the various configuration data structures The :functions tag will export the helper functions. The :all tag will export all above symbols.

SEE ALSO
http://www.zoneminder.com

AUTHOR
Philip Coombes, <philip.coombes@zoneminder.com>

COPYRIGHT AND LICENSE
Copyright (C) 2001-2008 Philip Coombes

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.3 or, at your option, any later version of Perl 5 you may have available.